From 2e6fef3f18f104e44405e9a00d20ae43d018bddb Mon Sep 17 00:00:00 2001
From: jankapunkt <jkuester@uni-bremen.de>
Date: Fri, 26 May 2017 09:51:42 +0200
Subject: [PATCH] added travis file and test script

---
 .gitignore    |  8 +++++++-
 .travis.yml   | 12 ++++++++++++
 tests/test.sh | 19 +++++++++++++++++++
 3 files changed, 38 insertions(+), 1 deletion(-)
 create mode 100644 .travis.yml
 create mode 100644 tests/test.sh

diff --git a/.gitignore b/.gitignore
index 6a81712..85534b6 100644
--- a/.gitignore
+++ b/.gitignore
@@ -35,4 +35,10 @@ glossary.ist
 
 #project specific
 infographics/Font-Awesome-SVG-PNG
-infographics/Font-Awesome-SVG-PNG/*
\ No newline at end of file
+infographics/Font-Awesome-SVG-PNG/*
+.idea/jsLibraryMappings.xml
+.idea/latexcv.iml
+.idea/misc.xml
+.idea/modules.xml
+.idea/vcs.xml
+.idea/inspectionProfiles/Project_Default.xml
diff --git a/.travis.yml b/.travis.yml
new file mode 100644
index 0000000..fcbb399
--- /dev/null
+++ b/.travis.yml
@@ -0,0 +1,12 @@
+language: bash
+
+before_install:
+  - sudo apt-get -qq update
+  - sudo apt-get install -y texlive-base texlive-fonts-extra
+
+
+script:
+  - bash /tests/test.sh classic
+  - bash /tests/test.sh modern
+  - bash /tests/test.sh two_columns
+  - bash /tests/test.sh infographics
diff --git a/tests/test.sh b/tests/test.sh
new file mode 100644
index 0000000..9bbfacd
--- /dev/null
+++ b/tests/test.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+cd $1
+echo $(pwd)
+ls -la
+
+
+# remove main.pdf
+[ -f main.pdf ] && rm main.pdf || echo "continue without remove"
+
+# test if main.pdf is removed
+[ -f main.pdf ] && exit 1 || echo "continue building pdf output"
+
+
+# build pdf from source
+pdflatex main.tex
+
+# exit successfully if pdf present or with error if not present
+[ -f main.pdf ] && exit 0 || exit 1
\ No newline at end of file